Bug 3273 - [UPDATE REQUEST] [UPSTREAM UPDATE] libvirt
: [UPDATE REQUEST] [UPSTREAM UPDATE] libvirt
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-28 14:23 MSK by Andrew Lukoshko
Modified: 2013-12-16 09:38 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-11-28 14:23:58 MSK
* Due to an omission in the libvirt code, the VLAN tag for a hostdev-based
network (a network which is a pool of SRIOV virtual functions to be assigned to
guests via PCI device assignment) was not being properly set in the hardware
device. With this update, the missing code has been provided, and a VLAN tag set
in the network definition is now properly presented to the devices as they are
assigned to guests.

* Some code refactoring to fix another bug left a case in which locks were
cleaned up incorrectly. As a consequence, the libvirtd daemon could terminate
unexpectedly on certain migrations to file scenarios. With this update, the lock
cleanup paths have been fixed and libvirtd no longer crashes when saving a
domain to a file.

* Whereas the status command of libvirt-guests init script returned "0" value
when libvirt-guests service was stopped, LSB (Linux Standard Base) required a
different value ("3") in such case. Consequently, other scripts relying on the
return value could not distinguish whether the service was running or not. The
libvirt-guests script has been fixed to conform with LSB and the "service
libvirt-guests status" command now returns the correct value in the described
scenario.

* Previously, the virDomainDeviceUpdateFlags() function in libvirt allowed users
to update some configuration quirks on a domain device while the domain is still
running. Consequently, when updating NIC (Network Interface Controller), the QoS
could not be changed because of a missing implementation. With this update, the
missing implementation has been added, and QoS can now be updated on a NIC.

http://rhn.redhat.com/errata/RHBA-2013-1517.html

https://abf.rosalinux.ru/build_lists/1425894
https://abf.rosalinux.ru/build_lists/1425895
Comment 1 Vladimir Potapov 2013-12-05 17:05:46 MSK
libvirt-0.10.2-18.res6.15
************************** RHEL Advisory *************************
* Due to an omission in the libvirt code, the VLAN tag for a hostdev-based
network (a network which is a pool of SRIOV virtual functions to be assigned to
guests via PCI device assignment) was not being properly set in the hardware
device. With this update, the missing code has been provided, and a VLAN tag set
in the network definition is now properly presented to the devices as they are
assigned to guests.

* Some code refactoring to fix another bug left a case in which locks were
cleaned up incorrectly. As a consequence, the libvirtd daemon could terminate
unexpectedly on certain migrations to file scenarios. With this update, the lock
cleanup paths have been fixed and libvirtd no longer crashes when saving a
domain to a file.

* Whereas the status command of libvirt-guests init script returned "0" value
when libvirt-guests service was stopped, LSB (Linux Standard Base) required a
different value ("3") in such case. Consequently, other scripts relying on the
return value could not distinguish whether the service was running or not. The
libvirt-guests script has been fixed to conform with LSB and the "service
libvirt-guests status" command now returns the correct value in the described
scenario.

* Previously, the virDomainDeviceUpdateFlags() function in libvirt allowed users
to update some configuration quirks on a domain device while the domain is still
running. Consequently, when updating NIC (Network Interface Controller), the QoS
could not be changed because of a missing implementation. With this update, the
missing implementation has been added, and QoS can now be updated on a NIC.
**************************************************************************
QA Verified